Subject: RE: [AVT] WGLC comments on draft-ietf-avt-avpf-ccm-03.

From: "Even, Roni" <[email-masked]>
Date: Sun, 7 Jan 2007 14:48:31 +0200

Magnus,
Can you give an example for such a transport protocol, to make it clear
Roni

> -----Original Message-----
> From: Magnus Westerlund [mailto:[email-masked]]
> Sent: Thursday, December 21, 2006 11:20 AM
> To: Stephan Wenger
> Cc: Even, Roni; [email-masked]
> Subject: Re: [AVT] WGLC comments on draft-ietf-avt-avpf-ccm-03.
> 
> Stephan Wenger skrev:
> 
> >> 23. In section 4.2.1.1 you have " TMMBR feedback SHOULD NOT be used if
> >> the underlying transport protocol is capable of providing similar
> >> feedback information from the receiver to the sender.". Do you mean
> >> that if using TCP you SHOULD NOT use TMMBR. TCP cannot address the
> >> multipoint case described.
> > I don't recall the motivation for this sentence.  Magnus?
> >
> 
> The reason is that if the underlying transport has the functionality
> then it is unnecessary to duplicate it in the applications layer. And in
> the case of TCP, it clearly doesn't have the functionality you need in a
> multi-point case, thus the SHOULD NOT doesn't apply.
> 
> cheers
> 
> Magnus Westerlund
> 
> IETF Transport Area Director & TSVWG Chair
> ----------------------------------------------------------------------
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 17 Jan 2007 15:51:00 +0100

> Can you give an example for such a transport protocol, to make it clear

I don't know if it is necessary to clutter the spec with even more 
information. However if RTP is run over another protocol than UDP/IP 
that provides explicit bit-rate control then TMMBR in non mixer cases is 
redundant. This would for example be true in a point to point scenario 
using DCCP. I don't know of an actual example that would work for 
multi-point cases. It is not a crucial sentence, it is there to actually 
try to make people think a bit before rushing ahead. I am against 
replicating all functionality at all layers. Which seems to be a 
favorite past-time in the IETF.

Cheers

Magnus Westerlund